Package org.sonatype.maven.polyglot.mapping

# Class XmlMapping

java.lang.Object
org.sonatype.maven.polyglot.mapping.MappingSupport
org.sonatype.maven.polyglot.mapping.XmlMapping

All Implemented Interfaces:
  `Mapping`

@Component(role=Mapping.class, hint="xml") public class XmlMapping extends MappingSupport
Xml model mapping.

Since:
  0.7
Author:
  Jason Dillon

## Constructor Summary

Constructors
Constructor
Description
`XmlMapping()`

## Method Summary

### Methods inherited from class org.sonatype.maven.polyglot.mapping.MappingSupport

`accept, getAcceptLocationExtensions, getAcceptOptionKeys, getPomNames, getPriority, getReader, getWriter, locatePom, setAcceptLocationExtensions, setAcceptOptionKeys, setPomNames, setPriority`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlMapping

public XmlMapping()